Summary:	A small collection of Truetype fonts (GPL).
Name:		fonts-ttf-dustismo
Version:	2.0
Release:	2mdk

Source0:	Dustismo.tgz
Source1:	Abogada_loco.zip
Source2:	balker.zip
Source3:	El_Abogado_Loco.zip
Source4:	flatline.zip
Source5:	ItWasntMe.zip
Source6:	Junkyard.zip
Source7:	MarkedFool.zip
Source8:	Progenisis.zip
Source9:	Swift.zip
Source10:	Wargames.zip
Source11:	Winks.zip
License:	GPL
Group:		System/Fonts/True type
URL:		http://www.dustismo.com
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildArch:	noarch
Obsoletes:	dustismo-fonts
Provides:	dustismo-fonts
BuildRequires:	fontconfig
BuildRequires:	freetype-tools
Prereq:		chkfontpath
Prereq:		fontconfig

%description 
A small collection of Truetype fonts released under the GPL.
One of the fonts included is Dustismo. The aim is to create a standard,
high quality, all purpose, sans serif font.

%prep
%setup -q -c %name-%version
#tar xvzf Dustismo.tgz
unzip -o %SOURCE2 -d $RPM_BUILD_DIR/%name-%version
unzip -o %SOURCE3 -d $RPM_BUILD_DIR/%name-%version
unzip -o %SOURCE4 -d $RPM_BUILD_DIR/%name-%version
unzip -o %SOURCE5 -d $RPM_BUILD_DIR/%name-%version
unzip -o %SOURCE6 -d $RPM_BUILD_DIR/%name-%version
unzip -o %SOURCE7 -d $RPM_BUILD_DIR/%name-%version
unzip -o %SOURCE8 -d $RPM_BUILD_DIR/%name-%version
unzip -o %SOURCE9 -d $RPM_BUILD_DIR/%name-%version
unzip -o %SOURCE10 -d $RPM_BUILD_DIR/%name-%version
unzip -o %SOURCE11 -d $RPM_BUILD_DIR/%name-%version
#for i in %SOURCE* ; do
#unzip -o $i -d $RPM_BUILD_DIR/%name-%version
#done
mv "It wasn't me.ttf" It_wasn_t_me.ttf

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/Dustismo

cp -f *.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/Dustismo
#install -m 644 fonts.alias $RPM_BUILD_ROOT%{_datadir}/fonts/Dustismo

{
    pushd $RPM_BUILD_ROOT/usr/share/fonts/Dustismo
    ttmkfdir > fonts.dir
    cp fonts.dir fonts.scale
    /usr/bin/fc-cache . || touch fonts.cache-1
    popd
}

%post
%{_sbindir}/chkfontpath -q -a %{_datadir}/fonts/Dustismo
/usr/bin/fc-cache

%postun
if [ "$1" = "0" ]; then
	%{_sbindir}/chkfontpath -q -r %{_datadir}/fonts/Dustismo
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc installation.txt license.txt
%dir %_datadir/fonts/
%dir %_datadir/fonts/Dustismo
%config(noreplace) %{_datadir}/fonts/Dustismo/fonts.dir
%config(noreplace) %{_datadir}/fonts/Dustismo/fonts.scale
#%config(noreplace) %{_datadir}/fonts/Dustismo/fonts.alias
%{_datadir}/fonts/Dustismo/fonts.cache-1
%{_datadir}/fonts/Dustismo/*.ttf

%changelog
* Fri Apr 30 2004 Marcel Pol <mpol@mandrake.org> 2.0-2mdk
- rebuild for bot happiness

* Sun Mar 23 2003 Marcel Pol <mpol@gmx.net> 2.0-1mdk
- 2.0

* Wed Feb 19 2003 Marcel Pol <mpol@gmx.net> 1.92-1mdk
- changed name of the rpm
- use real versioning: 1.92

* Fri Jan 24 2003 Marcel Pol <mpol@gmx.net> 20030111-1mdk
- initial mandrake rpm
- run fc-cache in %post, so fc-list can see them
- can't seem to get the bold and italic fonts right...
